package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportArticleCategory;
import com.ruoyi.export.domain.vo.ExportArticleCategoryVo;
import com.ruoyi.export.domain.bo.ExportArticleCategoryBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文章分类Service接口
 *
 * @author JR
 * @date 2025-07-16
 */
public interface IExportArticleCategoryService {

    /**
     * 查询文章分类
     */
    ExportArticleCategoryVo queryById(Long categoryId);

    /**
     * 查询文章分类列表
     */
    TableDataInfo<ExportArticleCategoryVo> queryPageList(ExportArticleCategoryBo bo, PageQuery pageQuery);

    /**
     * 查询文章分类列表
     */
    List<ExportArticleCategoryVo> queryList(ExportArticleCategoryBo bo);

    /**
     * 新增文章分类
     */
    Boolean insertByBo(ExportArticleCategoryBo bo);

    /**
     * 修改文章分类
     */
    Boolean updateByBo(ExportArticleCategoryBo bo);

    /**
     * 校验并批量删除文章分类信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
